0

I am very new to using UMEP and I have installed it on QGIS 3.10 on MacOS and also on Windows but in both machines, I am running into the following error. I have set up my id/key API properly as I can see the files progress bar and API response but then after a while everytime, the following error is raised in both OS.

Can anyone point me to a fix?

I installed SuPy in my conda and my native environment and added my conda path to additional PATH as well just to be sure. Still, running into the same issue.

2020-08-06T16:56:21     WARNING    An error has occurred while executing Python code:
             
             
             NameError: name 'linecache' is not defined
             
             
             Traceback (most recent call last):
              File "/Users/adnanfiroze/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/UMEP/copernicus_data/WorkerDownload.py", line 41, in run
              sp.util.gen_forcing_era5(self.lat, self.lon, self.start_date, self.end_date, dir_save=str(self.folderPath))
              File "/Users/adnanfiroze/Library/Python/3.7/lib/python/site-packages/supy/util/_era5.py", line 688, in gen_forcing_era5
              list_fn_sfc, concat_dim="time", combine="by_coords"
              File "/Users/adnanfiroze/Library/Python/3.7/lib/python/site-packages/xarray/backends/api.py", line 918, in open_mfdataset
              datasets = [open_(p, **open_kwargs) for p in paths]
              File "/Users/adnanfiroze/Library/Python/3.7/lib/python/site-packages/xarray/backends/api.py", line 918, in 
              datasets = [open_(p, **open_kwargs) for p in paths]
              File "/Users/adnanfiroze/Library/Python/3.7/lib/python/site-packages/xarray/backends/api.py", line 545, in open_dataset
              ds = maybe_decode_store(store)
              File "/Users/adnanfiroze/Library/Python/3.7/lib/python/site-packages/xarray/backends/api.py", line 465, in maybe_decode_store
              from dask.base import tokenize
              File "/Applications/QGIS3.10.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 743, in _import
              mod = _builtin_import(name, globals, locals, fromlist, level)
              File "/Users/adnanfiroze/Library/Python/3.7/lib/python/site-packages/dask/base.py", line 13, in 
              from tlz import merge, groupby, curry, identity
              File "/Applications/QGIS3.10.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 743, in _import
              mod = _builtin_import(name, globals, locals, fromlist, level)
             ModuleNotFoundError: No module named 'tlz'
             
             During handling of the above exception, another exception occurred:
             
             Traceback (most recent call last):
              File "/Users/adnanfiroze/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/UMEP/copernicus_data/WorkerDownload.py", line 45, in run
              errorstring = self.print_exception()
              File "/Users/adnanfiroze/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/UMEP/copernicus_data/WorkerDownload.py", line 58, in print_exception
              linecache.checkcache(filename)
             NameError: name 'linecache' is not defined
             
             
             
             
             Python version: 3.7.3 (default, Mar 27 2019, 09:23:15) 
             [Clang 10.0.1 (clang-1001.0.46.3)]
             
             
             QGIS version: 3.10.8-A Coruña A Coruña, d09a4f2388
             
             
             Python Path:
             
             /Users/adnanfiroze/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/planet_explorer/extlibs/Users/adnanfiroze/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/UMEP/SUEWSPrepare/Modules/Applications/QGIS3.10.app/Contents/MacOS/../Resources/python/Users/adnanfiroze/Library/Application Support/QGIS/QGIS3/profiles/default/python/Users/adnanfiroze/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/Applications/QGIS3.10.app/Contents/MacOS/../Resources/python/plugins/Applications/QGIS3.10.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.7/site-packages/geos/Applications/QGIS3.10.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.7/site-packages/Applications/QGIS3.10.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.7/Applications/QGIS3.10.app/Contents/Resources/python/Applications/QGIS3.10.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python37.zip/Applications/QGIS3.10.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.7/lib-dynload/Users/adnanfiroze/Library/Python/3.7/lib/python/site-packages/Users/adnanfiroze/Library/Application Support/QGIS/QGIS3/profiles/default/python/Users/adnanfiroze

1 Answer 1

1

It seems your dask installation is not a complete one, which is required by xarray. Install the complete dask as follows:

pip install dask[complete] --user

UMEP related issues should be submitted here to get prompt responses.

disclaimer: I'm the developer of SuPy.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.